macaddr.c File Reference
General-purpose utility functions
`#include "config.h"`
`#include <stdint.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <sys/ioctl.h>`
`#include <net/if.h>`
`#include <netinet/in.h>`
`#include <netinet/ip.h>`
`#include <errno.h>`

## Functions

int | osmo_macaddr_parse (uint8_t *out, const char *in)
| Parse a MAC address from human-readable notation This function parses an ethernet MAC address in the commonly-used hex/colon notation (00:00:00:00:00:00) and generates the binary representation from it. More...
int | osmo_get_macaddr (uint8_t *mac_out, const char *dev_name)
| Obtain the MAC address of a given network device. More...

## Detailed Description

MAC address utility routines.